Bug 1411812 - [DOWNGRADEPATH] F25->F26: openvpn-2.3.14-1.fc25 -> openvpn-2.3.12-1.fc26
Summary: [DOWNGRADEPATH] F25->F26: openvpn-2.3.14-1.fc25 -> openvpn-2.3.12-1.fc26
Keywords:
Status: CLOSED DUPLICATE of bug 1391544
Alias: None
Product: Fedora
Classification: Fedora
Component: openvpn
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Sommerseth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1408889
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-10 14:46 UTC by Igor Gnatenko
Modified: 2017-04-24 20:52 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-24 20:52:11 UTC
Type: Bug


Attachments (Terms of Use)

Description Igor Gnatenko 2017-01-10 14:46:49 UTC
Looks like 2.4.0 build failed due to OpenSSL 1.1.x. Looks like you submitted upstream ticket, would you meanwhile build 2.4.0 with OpenSSL 1.0?

Comment 1 Gwyn Ciesla 2017-01-10 15:34:34 UTC
It BuildRequires pkcs11, which uses 1.1.  We're discussing alternatives.

Comment 2 Fedora End Of Life 2017-02-28 10:55:23 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 3 Fedora Admin XMLRPC Client 2017-03-14 12:15:46 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 David Sommerseth 2017-03-23 02:10:13 UTC
I have just pushed out openvpn-2.4.1-1 to F25 and F26.  The F25 build is against OpenSSL v1.0 and F26 against mbed TLS.  The F26 build have an additional patch to allow connecting to servers with weaker RSA keys (less than 2048 bits) and SHA1 + RIPE160 hashing algorithms.  This should make the feature gap smaller.

The F26 build of openvpn-2.4.1-1 is also sent to F27/Rawhide.

However, the Fedora build of mbed TLS does not enable PKCS#11 support.  So that is still an issue.

Comment 5 David Sommerseth 2017-04-24 20:52:11 UTC

*** This bug has been marked as a duplicate of bug 1391544 ***


Note You need to log in before you can comment on or make changes to this bug.